/*--> ======================================================= <--*/
/*--> sort-calls.h : Include file listing all of the possible <--*/
/*-->                function calls for this package.         <--*/
/*-->                                                         <--*/
/*-->                This version created by DEA Feb 26/03    <--*/
/*-->                                                         <--*/
/*--> ======================================================= <--*/
/*--> User provided                                           <--*/
extern int  init                 ( void );
extern int  sortin               ( void );
extern int  finish               ( void );
/*--> Sort functions                                          <--*/
extern void parse_args           ( const int argc,  const char *argv[], 
                       struct SV *sv, int *pa_run_data );
extern void setupsignals         ( void );
extern void sighandler           ( int signo );
extern void sort_got_sig         ( int *cmd );
extern void prog_pid             ( void );
extern void save_spectra         ( struct SV *ssv );
extern void plugin_loader        ( struct SV *plsa );

IMPORT void inc1d                ( int id, int val );
IMPORT void incv1d               ( int specid, int channel, int value );
IMPORT void set1d                ( int sid, int schannel, int svalue );
IMPORT void inc2d                ( int id, int xval, int yval );
IMPORT void incv2d               ( int vspecid, int vxval, int vyval, int value );
IMPORT void set2d                ( int ssid, int sxval, int syval, int svalue );
IMPORT int  val1d                ( int vsid, int vschannel );
IMPORT int  val2d                ( int vid, int valx, int valy );
IMPORT void convert_id           ( int *adc_id );
IMPORT int  gainmatch            ( float a, float b, float c, int val );

extern void end_prog             ( void );
extern void user_interact        ( void );
extern void swap2                ( char *ptr2, int nwrds2 ); 
extern void swap4                ( char *ptr4, int nwrds4 );
extern void read_debug_file      ( int forceread );
extern void read_cfg_file        ( char *fname );
extern void histogram_data       ( void );
extern void writefailed          ( char *spec );
extern void trace                ( int level, char *function, char *format, ... );
extern int  read_specarray       ( void );
extern int  create_spectra       ( int ctr, struct SV *cssv );

extern int  create_shared_memory ( void );
